<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::Vector3Ddata Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_vector3_ddata.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_vector3_ddata-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::Vector3Ddata Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 3D vector and a <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classframework_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values.  
 <a href="classframework_1_1core_1_1_vector3_ddata.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vector3_ddata_8h_source.html">Vector3Ddata.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::Vector3Ddata:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_vector3_ddata.png" usemap="#framework::core::Vector3Ddata_map" alt=""/>
  <map id="framework::core::Vector3Ddata_map" name="framework::core::Vector3Ddata_map">
<area href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="framework::core::io_data" shape="rect" coords="0,112,187,136"/>
<area href="classframework_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. " alt="framework::core::Vector3D" shape="rect" coords="197,112,384,136"/>
<area href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="framework::core::Mutex" shape="rect" coords="0,56,187,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,187,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aada18484a17f1301390a04ad0cc8dc2e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#aada18484a17f1301390a04ad0cc8dc2e">Vector3Ddata</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a4d3eb88d51b2ff4000fc93d1eb0a6f85">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8b789cacf473b8ab1cde9a2a659ee9ab">y</a>=0, float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a003581dbd5bbf18e0a3dc5f31eba7f2a">z</a>=0, uint32_t n=1)</td></tr>
<tr class="memdesc:aada18484a17f1301390a04ad0cc8dc2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aada18484a17f1301390a04ad0cc8dc2e">More...</a><br /></td></tr>
<tr class="separator:aada18484a17f1301390a04ad0cc8dc2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb3b9a23e8b09bf2983e9af647a7801"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#accb3b9a23e8b09bf2983e9af647a7801">~Vector3Ddata</a> ()</td></tr>
<tr class="memdesc:accb3b9a23e8b09bf2983e9af647a7801"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#accb3b9a23e8b09bf2983e9af647a7801">More...</a><br /></td></tr>
<tr class="separator:accb3b9a23e8b09bf2983e9af647a7801"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74f966ed5658f3286ebe41177be27f24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#a74f966ed5658f3286ebe41177be27f24">XElement</a> (void) const </td></tr>
<tr class="memdesc:a74f966ed5658f3286ebe41177be27f24"><td class="mdescLeft">&#160;</td><td class="mdescRight">X Element.  <a href="#a74f966ed5658f3286ebe41177be27f24">More...</a><br /></td></tr>
<tr class="separator:a74f966ed5658f3286ebe41177be27f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b6425838996926a120a2029ed57a351"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#a3b6425838996926a120a2029ed57a351">YElement</a> (void) const </td></tr>
<tr class="memdesc:a3b6425838996926a120a2029ed57a351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Y Element.  <a href="#a3b6425838996926a120a2029ed57a351">More...</a><br /></td></tr>
<tr class="separator:a3b6425838996926a120a2029ed57a351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a2ef7aab64ed14150ccbc1610a8058"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#a21a2ef7aab64ed14150ccbc1610a8058">ZElement</a> (void) const </td></tr>
<tr class="memdesc:a21a2ef7aab64ed14150ccbc1610a8058"><td class="mdescLeft">&#160;</td><td class="mdescRight">Z Element.  <a href="#a21a2ef7aab64ed14150ccbc1610a8058">More...</a><br /></td></tr>
<tr class="separator:a21a2ef7aab64ed14150ccbc1610a8058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">io_data</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a500e7488e41a484be23b29e13645cf8b">More...</a><br /></td></tr>
<tr class="separator:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">~io_data</a> ()</td></tr>
<tr class="memdesc:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa08b00b8f76a7bb14d7498e8e34649a2">More...</a><br /></td></tr>
<tr class="separator:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">SetDataTime</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time)</td></tr>
<tr class="memdesc:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#af4eca364240e1b754fa989bda9717d5a">More...</a><br /></td></tr>
<tr class="separator:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a5f765c0a062a096fc4a4e0b8ef924cae">More...</a><br /></td></tr>
<tr class="separator:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a9549e4e07891d29b00710b75d92bef0e">More...</a><br /></td></tr>
<tr class="separator:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac67a16193b8e8f174adbf679469506c9 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac67a16193b8e8f174adbf679469506c9"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const =0</td></tr>
<tr class="separator:ac67a16193b8e8f174adbf679469506c9 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></td></tr>
<tr class="memitem:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#aa003ee75f09b85ecb182a135a42a739e">Mutex</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa003ee75f09b85ecb182a135a42a739e">More...</a><br /></td></tr>
<tr class="separator:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">~Mutex</a> ()</td></tr>
<tr class="memdesc:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3a67ec45af9ba25a8a885d8473c9ae65">More...</a><br /></td></tr>
<tr class="separator:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a4eb4450c5af21f4ba6c16b2a58e7d0e4">More...</a><br /></td></tr>
<tr class="separator:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a747027e52ff793c20016eb82b3a242e2">More...</a><br /></td></tr>
<tr class="separator:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_vector3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_vector3_d')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td></tr>
<tr class="memitem:ab4dd9e802c4bb935353579d913f2c70d inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#ab4dd9e802c4bb935353579d913f2c70d">Vector3D</a> (float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a4d3eb88d51b2ff4000fc93d1eb0a6f85">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8b789cacf473b8ab1cde9a2a659ee9ab">y</a>=0, float <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a003581dbd5bbf18e0a3dc5f31eba7f2a">z</a>=0)</td></tr>
<tr class="memdesc:ab4dd9e802c4bb935353579d913f2c70d inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab4dd9e802c4bb935353579d913f2c70d">More...</a><br /></td></tr>
<tr class="separator:ab4dd9e802c4bb935353579d913f2c70d inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14f36cbaf16bcef2642119d820a60b4 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#af14f36cbaf16bcef2642119d820a60b4">~Vector3D</a> ()</td></tr>
<tr class="memdesc:af14f36cbaf16bcef2642119d820a60b4 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#af14f36cbaf16bcef2642119d820a60b4">More...</a><br /></td></tr>
<tr class="separator:af14f36cbaf16bcef2642119d820a60b4 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33e260779cc00eddc9c60555299b481f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a33e260779cc00eddc9c60555299b481f">RotateX</a> (float value)</td></tr>
<tr class="memdesc:a33e260779cc00eddc9c60555299b481f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a33e260779cc00eddc9c60555299b481f">More...</a><br /></td></tr>
<tr class="separator:a33e260779cc00eddc9c60555299b481f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d17007ea3e5277d2e93052e79d7855a inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6d17007ea3e5277d2e93052e79d7855a">RotateXDeg</a> (float value)</td></tr>
<tr class="memdesc:a6d17007ea3e5277d2e93052e79d7855a inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a6d17007ea3e5277d2e93052e79d7855a">More...</a><br /></td></tr>
<tr class="separator:a6d17007ea3e5277d2e93052e79d7855a inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab979d0250e1c5d97dff4e33daab08f04 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#ab979d0250e1c5d97dff4e33daab08f04">RotateY</a> (float value)</td></tr>
<tr class="memdesc:ab979d0250e1c5d97dff4e33daab08f04 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#ab979d0250e1c5d97dff4e33daab08f04">More...</a><br /></td></tr>
<tr class="separator:ab979d0250e1c5d97dff4e33daab08f04 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f244217deb50de450444b984eabb48 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a77f244217deb50de450444b984eabb48">RotateYDeg</a> (float value)</td></tr>
<tr class="memdesc:a77f244217deb50de450444b984eabb48 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a77f244217deb50de450444b984eabb48">More...</a><br /></td></tr>
<tr class="separator:a77f244217deb50de450444b984eabb48 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fe27062b8db045e2163a8193970c75f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a9fe27062b8db045e2163a8193970c75f">RotateZ</a> (float value)</td></tr>
<tr class="memdesc:a9fe27062b8db045e2163a8193970c75f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a9fe27062b8db045e2163a8193970c75f">More...</a><br /></td></tr>
<tr class="separator:a9fe27062b8db045e2163a8193970c75f inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f1f24be85e9a19b20f769f75caf687b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6f1f24be85e9a19b20f769f75caf687b">RotateZDeg</a> (float value)</td></tr>
<tr class="memdesc:a6f1f24be85e9a19b20f769f75caf687b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a6f1f24be85e9a19b20f769f75caf687b">More...</a><br /></td></tr>
<tr class="separator:a6f1f24be85e9a19b20f769f75caf687b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03483b0253338c9b2fedba69a353c88c inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a03483b0253338c9b2fedba69a353c88c">Rotate</a> (const <a class="el" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;matrix)</td></tr>
<tr class="memdesc:a03483b0253338c9b2fedba69a353c88c inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#a03483b0253338c9b2fedba69a353c88c">More...</a><br /></td></tr>
<tr class="separator:a03483b0253338c9b2fedba69a353c88c inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa22e5d0d6f279148642bdd6e90608bad inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#aa22e5d0d6f279148642bdd6e90608bad">Rotate</a> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="memdesc:aa22e5d0d6f279148642bdd6e90608bad inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#aa22e5d0d6f279148642bdd6e90608bad">More...</a><br /></td></tr>
<tr class="separator:aa22e5d0d6f279148642bdd6e90608bad inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74ed38384bdcd5b27f430ce2fa5591cf inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a74ed38384bdcd5b27f430ce2fa5591cf">To2Dxy</a> (<a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;vector) const </td></tr>
<tr class="memdesc:a74ed38384bdcd5b27f430ce2fa5591cf inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a>.  <a href="#a74ed38384bdcd5b27f430ce2fa5591cf">More...</a><br /></td></tr>
<tr class="separator:a74ed38384bdcd5b27f430ce2fa5591cf inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363128dceaf3103ddb081ca81619bf4b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_vector2_d.html">Vector2D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a363128dceaf3103ddb081ca81619bf4b">To2Dxy</a> (void) const </td></tr>
<tr class="memdesc:a363128dceaf3103ddb081ca81619bf4b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="classframework_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a>.  <a href="#a363128dceaf3103ddb081ca81619bf4b">More...</a><br /></td></tr>
<tr class="separator:a363128dceaf3103ddb081ca81619bf4b inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db1d5dcdeb33260ee5f9ad20d1e8eac inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a0db1d5dcdeb33260ee5f9ad20d1e8eac">GetNorm</a> (void) const </td></tr>
<tr class="memdesc:a0db1d5dcdeb33260ee5f9ad20d1e8eac inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a0db1d5dcdeb33260ee5f9ad20d1e8eac">More...</a><br /></td></tr>
<tr class="separator:a0db1d5dcdeb33260ee5f9ad20d1e8eac inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf3965f4352fe2e6454a3c0597cbe2ec inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#aaf3965f4352fe2e6454a3c0597cbe2ec">Normalize</a> (void)</td></tr>
<tr class="memdesc:aaf3965f4352fe2e6454a3c0597cbe2ec inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#aaf3965f4352fe2e6454a3c0597cbe2ec">More...</a><br /></td></tr>
<tr class="separator:aaf3965f4352fe2e6454a3c0597cbe2ec inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b44edb28e8757cebc90107999f1b6f5 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a2b44edb28e8757cebc90107999f1b6f5">Saturate</a> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;min, const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;max)</td></tr>
<tr class="memdesc:a2b44edb28e8757cebc90107999f1b6f5 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a2b44edb28e8757cebc90107999f1b6f5">More...</a><br /></td></tr>
<tr class="separator:a2b44edb28e8757cebc90107999f1b6f5 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc84772470cf40f0831f69dfd07fbd61 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#afc84772470cf40f0831f69dfd07fbd61">Saturate</a> (float min, float max)</td></tr>
<tr class="memdesc:afc84772470cf40f0831f69dfd07fbd61 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#afc84772470cf40f0831f69dfd07fbd61">More...</a><br /></td></tr>
<tr class="separator:afc84772470cf40f0831f69dfd07fbd61 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8725cca375d1fd28908e3320041e175e inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8725cca375d1fd28908e3320041e175e">Saturate</a> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;value)</td></tr>
<tr class="memdesc:a8725cca375d1fd28908e3320041e175e inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a8725cca375d1fd28908e3320041e175e">More...</a><br /></td></tr>
<tr class="separator:a8725cca375d1fd28908e3320041e175e inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ed597a9c4c4dc7cecb79fe619e659b1 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a6ed597a9c4c4dc7cecb79fe619e659b1">Saturate</a> (float value)</td></tr>
<tr class="memdesc:a6ed597a9c4c4dc7cecb79fe619e659b1 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a6ed597a9c4c4dc7cecb79fe619e659b1">More...</a><br /></td></tr>
<tr class="separator:a6ed597a9c4c4dc7cecb79fe619e659b1 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af21cd2f0d3969024bc2c48058c252cf2 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af21cd2f0d3969024bc2c48058c252cf2"></a>
float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx)</td></tr>
<tr class="separator:af21cd2f0d3969024bc2c48058c252cf2 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927d6a45d9524e4614608806d7d142b7 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a927d6a45d9524e4614608806d7d142b7"></a>
const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx) const </td></tr>
<tr class="separator:a927d6a45d9524e4614608806d7d142b7 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeabd1683d291b33940652bee8f052719 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeabd1683d291b33940652bee8f052719"></a>
<a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;vector)</td></tr>
<tr class="separator:aeabd1683d291b33940652bee8f052719 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a55a3cd60d905bb14c7d55334b46cf inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4a55a3cd60d905bb14c7d55334b46cf"></a>
<a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;vector)</td></tr>
<tr class="separator:ab4a55a3cd60d905bb14c7d55334b46cf inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e9a8280566ccc2e6ed8fba7f19f3775 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e9a8280566ccc2e6ed8fba7f19f3775"></a>
<a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;vector)</td></tr>
<tr class="separator:a2e9a8280566ccc2e6ed8fba7f19f3775 inherit pub_methods_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classframework_1_1core_1_1_vector3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classframework_1_1core_1_1_vector3_d')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></td></tr>
<tr class="memitem:a4d3eb88d51b2ff4000fc93d1eb0a6f85 inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a4d3eb88d51b2ff4000fc93d1eb0a6f85">x</a></td></tr>
<tr class="memdesc:a4d3eb88d51b2ff4000fc93d1eb0a6f85 inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#a4d3eb88d51b2ff4000fc93d1eb0a6f85">More...</a><br /></td></tr>
<tr class="separator:a4d3eb88d51b2ff4000fc93d1eb0a6f85 inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b789cacf473b8ab1cde9a2a659ee9ab inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a8b789cacf473b8ab1cde9a2a659ee9ab">y</a></td></tr>
<tr class="memdesc:a8b789cacf473b8ab1cde9a2a659ee9ab inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#a8b789cacf473b8ab1cde9a2a659ee9ab">More...</a><br /></td></tr>
<tr class="separator:a8b789cacf473b8ab1cde9a2a659ee9ab inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003581dbd5bbf18e0a3dc5f31eba7f2a inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_vector3_d.html#a003581dbd5bbf18e0a3dc5f31eba7f2a">z</a></td></tr>
<tr class="memdesc:a003581dbd5bbf18e0a3dc5f31eba7f2a inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z  <a href="#a003581dbd5bbf18e0a3dc5f31eba7f2a">More...</a><br /></td></tr>
<tr class="separator:a003581dbd5bbf18e0a3dc5f31eba7f2a inherit pub_attribs_classframework_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">AppendLogDescription</a> (std::string description, <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#aecf70fbea0ef977062dd7146b9006490">More...</a><br /></td></tr>
<tr class="separator:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a65e6d218e3699bfbb7c8c958d85156bf">More...</a><br /></td></tr>
<tr class="separator:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">prev</a></td></tr>
<tr class="memdesc:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a12e0da00d9b0af3e7009f7c840d91272">More...</a><br /></td></tr>
<tr class="separator:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 3D vector and a <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classframework_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aada18484a17f1301390a04ad0cc8dc2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Vector3Ddata::Vector3Ddata </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>z</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
    <tr><td class="paramname">z</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="accb3b9a23e8b09bf2983e9af647a7801"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Vector3Ddata::~Vector3Ddata </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a74f966ed5658f3286ebe41177be27f24"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Vector3Ddata::XElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>X Element. </p>
<p>Get a vectorer to x element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a3b6425838996926a120a2029ed57a351"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Vector3Ddata::YElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Y Element. </p>
<p>Get a pointer to y element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a21a2ef7aab64ed14150ccbc1610a8058"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Vector3Ddata::ZElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Z Element. </p>
<p>Get a pointer to z element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_vector3_ddata.html">Vector3Ddata</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
